> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superdash.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch conversation(s)

> Use this API endpoint to retrieve the complete conversation linked to a specific user identifier.

### Authorizations

<ParamField header="x-api-key" type="string" required>
  API key associated with your project/workspace
</ParamField>

### Path Parameters

***

<ParamField path="workspaceId" type="string" required>
  The UUID associated with a project/workspace.
</ParamField>

<ParamField path="userIdentifier" type="string" required>
  Unique customerID used to store the customer conversation.
</ParamField>

### Response

***

<ResponseField name="_id" type="string">
  The ID associated with the conversation.
</ResponseField>

<ResponseField name="workspace" type="string">
  UUID associated with a workspace
</ResponseField>

<ResponseField name="attributes" type="object">
  The user identifier
</ResponseField>

<ResponseField name="messages" type="array">
  Array containing conversation threads associated with the user identifier
</ResponseField>

<ResponseExample>
  ```json 200 theme={null}
  {
  "_id": "Conversation Id associated with the conversation.",
  "workspace": "UUID associated with a workspace",
  "messages" : [],
  "attributes": {}
  }
  ```

  ```json 400 theme={null}
  {
    "code": "Error code",
    "moreInfo": "Link to read about the error "
  }
  ```

  ```json 401 theme={null}
  {
    "msg": "Api key is not valid"
  }
  ```

  ````json 403 theme={null}
  {
    "msg": "Forbidden"
  }
  ```json 404
  {
    "msg": "Conversation not found"
  }
  ````

  ```json 500 theme={null}
  {
    "msg": "Internal Server Error"
  }
  ```
</ResponseExample>
